/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.2 $
 */
public class DomainDefinition
{

   private String name;
   private AspectManager manager;

   public DomainDefinition(String name, AspectManager parent, boolean parentFirst)
   {
      this.name = name;
      this.manager = new Domain(parent, parentFirst);
   }

   public String getName()
   {
      return name;
   }

   public AspectManager getManager()
   {
      return manager;
   }


}
